Subject: git stash clear

From: Eric Davis <[email-masked]>
Date: Wed, 10 Oct 2007 12:42:33 -0400

Hey Everyone,

  I have a problem that happened when using git stash.

I was working on a branch and applied a stash to it.  There were no
conflicts. I figured I was done with the stuff in stash, so I did a git
stash clear.  Not good.  It also reverted my branch to before I did the
stash apply and now I have none of the changes because the stash is also
gone.  Is this by design?  If so, why?

Is there anyway to get this stash back?

Thanks,
Eric